%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-GD-Text
Version:       0.86
Release:       4mamba
Summary:       GD::Text - The GDText package contains text utilities for use with the GD drawing package. 
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/authors/id/M/MV/MVERB/GDTextUtil-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/perl-root
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel  >= %perl_major_ver
BuildRequires: perl-GD
## AUTOBUILDREQ-END

%description
This package provides three modules that make it possible to work with internal GD fonts as well as TrueType fonts, without having to worry about different interface functions to call. Apart from an abstract interface to all font types and strings for GD, this library also provides some utility in aligning and wrapping your string.

%prep
%setup -q -n GDTextUtil-%{version}

%build
perl Makefile.PL
%make
#make test

%install
[[ "%{buildroot}" ]] && rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[[ -z "$packlist" ]] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[[ "%{buildroot}" ]] && rm -rf %{buildroot}

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 0.86-4mamba
- automatic rebuild by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.86-3mamba
- automatic rebuild by autodist

* Wed Jun 25 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.86-2mamba
- update Vendor, Distribution, mantainer, buildrequirements list

* Wed Oct 27 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.86-1qilnx
- package created by autospec
